Index: NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/NST/agrif_ice_interp.F90
===================================================================
--- NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/NST/agrif_ice_interp.F90	(revision 13732)
+++ NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/NST/agrif_ice_interp.F90	(revision 13998)
@@ -176,6 +176,7 @@
             ptab(i1:i2,j1:j2,jm+5) = a_ip(i1:i2,j1:j2,jl)
             ptab(i1:i2,j1:j2,jm+6) = v_ip(i1:i2,j1:j2,jl)
-            ptab(i1:i2,j1:j2,jm+7) = t_su(i1:i2,j1:j2,jl)
-            jm = jm + 8
+            ptab(i1:i2,j1:j2,jm+7) = v_il(i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm+8) = t_su(i1:i2,j1:j2,jl)
+            jm = jm + 9
             DO jk = 1, nlay_s
                ptab(i1:i2,j1:j2,jm) = e_s(i1:i2,j1:j2,jk,jl)   ;   jm = jm + 1
@@ -206,8 +207,9 @@
                      a_ip(ji,jj,jl) = ptab(ji,jj,jm+5) * tmask(ji,jj,1)
                      v_ip(ji,jj,jl) = ptab(ji,jj,jm+6) * tmask(ji,jj,1)
-                     t_su(ji,jj,jl) = ptab(ji,jj,jm+7) * tmask(ji,jj,1)
+                     v_il(ji,jj,jl) = ptab(ji,jj,jm+7) * tmask(ji,jj,1)
+                     t_su(ji,jj,jl) = ptab(ji,jj,jm+8) * tmask(ji,jj,1)
                   END DO
                END DO
-               jm = jm + 8
+               jm = jm + 9
                !
                DO jk = 1, nlay_s
@@ -239,6 +241,7 @@
 !               ztab(:,:,jm+5) = a_ip(:,:,jl)
 !               ztab(:,:,jm+6) = v_ip(:,:,jl)
-!               ztab(:,:,jm+7) = t_su(:,:,jl)
-!               jm = jm + 8
+!               ztab(:,:,jm+7) = v_il(:,:,jl)
+!               ztab(:,:,jm+8) = t_su(:,:,jl)
+!               jm = jm + 9
 !               DO jk = 1, nlay_s
 !                  ztab(:,:,jm) = e_s(:,:,jk,jl)
@@ -345,8 +348,9 @@
 !                     a_ip(ji,jj,jl) = ztab(ji,jj,jm+5) * tmask(ji,jj,1)
 !                     v_ip(ji,jj,jl) = ztab(ji,jj,jm+6) * tmask(ji,jj,1)
-!                     t_su(ji,jj,jl) = ztab(ji,jj,jm+7) * tmask(ji,jj,1)
+!                     v_il(ji,jj,jl) = ztab(ji,jj,jm+7) * tmask(ji,jj,1)
+!                     t_su(ji,jj,jl) = ztab(ji,jj,jm+8) * tmask(ji,jj,1)
 !                  END DO
 !               END DO
-!               jm = jm + 8
+!               jm = jm + 9
 !               !
 !               DO jk = 1, nlay_s
Index: NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/NST/agrif_ice_update.F90
===================================================================
--- NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/NST/agrif_ice_update.F90	(revision 13732)
+++ NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/NST/agrif_ice_update.F90	(revision 13998)
@@ -109,6 +109,7 @@
             ptab(i1:i2,j1:j2,jm+5) = a_ip(i1:i2,j1:j2,jl)
             ptab(i1:i2,j1:j2,jm+6) = v_ip(i1:i2,j1:j2,jl)
-            ptab(i1:i2,j1:j2,jm+7) = t_su(i1:i2,j1:j2,jl)
-            jm = jm + 8
+            ptab(i1:i2,j1:j2,jm+7) = v_il(i1:i2,j1:j2,jl)
+            ptab(i1:i2,j1:j2,jm+8) = t_su(i1:i2,j1:j2,jl)
+            jm = jm + 9
             DO jk = 1, nlay_s
                ptab(i1:i2,j1:j2,jm) = e_s(i1:i2,j1:j2,jk,jl)   ;   jm = jm + 1
@@ -138,9 +139,10 @@
                      a_ip(ji,jj,jl) = ptab(ji,jj,jm+5) * tmask(ji,jj,1)
                      v_ip(ji,jj,jl) = ptab(ji,jj,jm+6) * tmask(ji,jj,1)
-                     t_su(ji,jj,jl) = ptab(ji,jj,jm+7) * tmask(ji,jj,1)
+                     v_il(ji,jj,jl) = ptab(ji,jj,jm+7) * tmask(ji,jj,1)
+                     t_su(ji,jj,jl) = ptab(ji,jj,jm+8) * tmask(ji,jj,1)
                   ENDIF
                END DO
             END DO
-            jm = jm + 8
+            jm = jm + 9
             !
             DO jk = 1, nlay_s
Index: NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/NST/agrif_user.F90
===================================================================
--- NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/NST/agrif_user.F90	(revision 13732)
+++ NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/NST/agrif_user.F90	(revision 13998)
@@ -407,8 +407,8 @@
          use_sign_north = .TRUE.
          sign_north = -1.
+         CALL Agrif_Bc_variable(ub2b_interp_id,calledweight=1.,procname=interpub2b)   ! must be called before unb_id to define ubdy
+         CALL Agrif_Bc_variable(vb2b_interp_id,calledweight=1.,procname=interpvb2b)   ! must be called before vnb_id to define vbdy
          CALL Agrif_Bc_variable(        unb_id,calledweight=1.,procname=interpunb )
          CALL Agrif_Bc_variable(        vnb_id,calledweight=1.,procname=interpvnb )
-         CALL Agrif_Bc_variable(ub2b_interp_id,calledweight=1.,procname=interpub2b)
-         CALL Agrif_Bc_variable(vb2b_interp_id,calledweight=1.,procname=interpvb2b)
          use_sign_north = .FALSE.
          ubdy(:,:) = 0._wp
@@ -665,5 +665,5 @@
       ind2 = nn_hls + 2 + nbghostcells_x
       ind3 = nn_hls + 2 + nbghostcells_y_s
-      ipl = jpl*(8+nlay_s+nlay_i)
+      ipl = jpl*(9+nlay_s+nlay_i)
       CALL agrif_declare_variable((/2,2,0/),(/ind2,ind3,0/),(/'x','y','N'/),(/1,1,1/),(/jpi,jpj,ipl/),tra_ice_id)
       CALL agrif_declare_variable((/1,2/)  ,(/ind2-1,ind3/),(/'x','y'    /),(/1,1  /),(/jpi,jpj    /),  u_ice_id)
